aboutsummaryrefslogtreecommitdiff
path: root/scripts/reformat.sh
diff options
context:
space:
mode:
authorEven Rouault <even.rouault@spatialys.com>2018-11-14 17:40:42 +0100
committerEven Rouault <even.rouault@spatialys.com>2018-11-14 22:48:29 +0100
commitd928db15d53805d9b728b440079756081961c536 (patch)
treee862a961d26bedb34c58e4f28ef0bdeedb5f3225 /scripts/reformat.sh
parent330e8bf686f9c4524075ca1ff50cbca6c9e091da (diff)
downloadPROJ-d928db15d53805d9b728b440079756081961c536.tar.gz
PROJ-d928db15d53805d9b728b440079756081961c536.zip
Implement RFC 2: Initial integration of "GDAL SRS barn" work
This work mostly consists of: - a C++ implementation of the ISO-19111:2018 / OGC Topic 2 "Referencing by coordinates" classes to represent Datums, Coordinate systems, CRSs (Coordinate Reference Systems) and Coordinate Operations. - methods to convert between this C++ modeling and WKT1, WKT2 and PROJ string representations of those objects - management and query of a SQLite3 database of CRS and Coordinate Operation definition - a C API binding part of those capabilities This is all-in-one squashed commit of the work of https://github.com/OSGeo/proj.4/pull/1040
Diffstat (limited to 'scripts/reformat.sh')
-rwxr-xr-xscripts/reformat.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/reformat.sh b/scripts/reformat.sh
new file mode 100755
index 00000000..c3826322
--- /dev/null
+++ b/scripts/reformat.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -eu
+
+# Refuse to reformat nn.hpp: this is third-party code
+if test $(basename $1) = "nn.hpp"; then
+ exit 0
+fi
+
+clang-format -style="{BasedOnStyle: llvm, IndentWidth: 4}" $1 > $1.reformatted
+if diff -u $1.reformatted $1; then
+ # No reformatting: remove temporary file
+ rm $1.reformatted
+else
+ # Differences. Backup original file, and use reformatted file
+ cp $1 $1.before_reformat
+ mv $1.reformatted $1
+fi